<template lang="pug">
.item-tree.ui.items
  .item(
    v-for="(recipes, station) in item.tree"
    )
    .content
      .my.header {{ station }}
      .description
        ItemTreeRecipe(
          v-for="recipe in recipes"
          :recipe="recipe"
          )
</template>

<script>
import Item from 'src/eco/Item'

export default {
  components: {
    ItemTreeRecipe: () => import('./ItemTreeRecipe.vue')
  },
  name: 'ItemTree',
  props: {
    item: Item
  }
}
</script>

<style lang="sass" scoped>
.my.header
  font-weight: bold
  font-size: 1.15rem !important
</style>
